<?php

namespace App\Http\Controllers;

use App\Models\Lote;
use App\Models\Titulo;
use Illuminate\Http\Request;

class OneToOneController extends Controller
{
    public function oneToOne()
    {
         /* RELACIONAMENTO LOTE/SITUACAO_JURIDICA */
         $lotes = Lote::where('id', 'LIKE', '%25%')->with('situacaoJuridica')->get();

         foreach ($lotes as $lote) {
             echo "Número do Lote: " . "{$lote->numero}<hr>";
             $situacoesJuridicas = $lote->situacaoJuridica()
                 ->where('id', 1)->get();
            
             foreach ($situacoesJuridicas as $situacaoJuridica) {
                 echo "Situação Jurídica: " . "{$situacaoJuridica->nome}<hr>";
                 //dd($situacaoJuridica);
             }
         }
        // $titulo = Titulo::where('lote_id', 277720)->get()->first();
        
        //  $lote = $titulo->titulos();
        //  dd($lote);
    }
}
